using FJPSite.Enums;
using FJPSite.Models;

namespace FJPSite.Interfaces;

public interface IPermissionService
{
    Task<bool> UserHasPermissionAsync(string userId, FeatureEnum feature, ActionEnum action);
    /*Task<List<PermissionDto>> GetUserPermissionsAsync(string userId);
    Task<bool> RoleHasPermissionAsync(string roleId, FeatureEnum feature, ActionEnum action);
    Task AssignPermissionsToRoleAsync(string roleId, List<PermissionAssignmentDto> assignments);*/
    Task<List<PermissionStructureModel>> GetPermissionStructureAsync(int moduleId);
}